yast2-xml: XmlAgent Class Reference

Main Page | Class Hierarchy | Class List | Directories | File List | Class Members | File Members

# XmlAgent Class Reference

An interface class between YaST2 and Xml Agent. More...

`#include <XmlAgent.h>`

Inheritance diagram for XmlAgent:

List of all members.

## Public Member Functions
| XmlAgent ()
virtual | ~XmlAgent ()
virtual YCPValue | Read (const YCPPath &path, const YCPValue &arg=YCPNull(), const YCPValue &opt=YCPNull())
virtual YCPValue | Execute (const YCPPath &path, const YCPValue &value, const YCPValue &arg)
virtual YCPList | Dir (const YCPPath &path)
virtual YCPBoolean | Write (const YCPPath &path, const YCPValue &value, const YCPValue &arg=YCPNull())
virtual YCPValue | otherCommand (const YCPTerm &term)
## Protected Member Functions
virtual YCPValue | ParseNodesAsMap (xmlNodePtr tree)
virtual YCPValue | ParseNodesAsList (xmlNodePtr tree)
virtual YCPValue | SetType (xmlNodePtr node)
virtual YCPValue | Xmlrpc (xmlNodePtr tree)
virtual YCPList | getParams (xmlNodePtr paramsNode)
virtual YCPValue | getValue (xmlNodePtr paramNode)
virtual YCPMap | getStruct (xmlNodePtr structNode)
virtual YCPValue | getArray (xmlNodePtr structNode)
virtual xmlNodePtr | ParseYCPMap (YCPMap map, xmlNodePtr parent, xmlDocPtr doc)
virtual xmlNodePtr | ParseYCPList (YCPList list, xmlNodePtr parent, const char *listname, xmlDocPtr doc)
virtual bool | isCDATA (YCPString section)
## Protected Attributes
YCPList | Cdata
YCPMap | ListEntries
xmlNsPtr | configNamespace

## Detailed Description

An interface class between YaST2 and Xml Agent.

## Constructor & Destructor Documentation

XmlAgent::XmlAgent | ( |  | ) |

| Default constructor.

XmlAgent::~XmlAgent | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

YCPList XmlAgent::Dir | ( | const YCPPath & | path | ) | `[virtual]`

| Provides SCR Write (). Implements SCRAgent.

YCPValue XmlAgent::Execute | ( | const YCPPath & | path,
|  | const YCPValue & | value,
|  | const YCPValue & | arg
| ) | `[virtual]`

| Provides SCR Write (). Reimplemented from SCRAgent.

YCPValue XmlAgent::getArray | ( | xmlNodePtr | structNode | ) | `[protected, virtual]`

YCPList XmlAgent::getParams | ( | xmlNodePtr | paramsNode | ) | `[protected, virtual]`

YCPMap XmlAgent::getStruct | ( | xmlNodePtr | structNode | ) | `[protected, virtual]`

YCPValue XmlAgent::getValue | ( | xmlNodePtr | paramNode | ) | `[protected, virtual]`

bool XmlAgent::isCDATA | ( | YCPString | section | ) | `[protected, virtual]`

YCPValue XmlAgent::otherCommand | ( | const YCPTerm & | term | ) | `[virtual]`

| Used for mounting the agent. Reimplemented from SCRAgent.

YCPValue XmlAgent::ParseNodesAsList | ( | xmlNodePtr | tree | ) | `[protected, virtual]`

| ParseNodesAsList

YCPValue XmlAgent::ParseNodesAsMap | ( | xmlNodePtr | tree | ) | `[protected, virtual]`

| ParseNodesAsMap

xmlNodePtr XmlAgent::ParseYCPList | ( | YCPList | list,
|  | xmlNodePtr | parent,
|  | const char * | listname,
|  | xmlDocPtr | doc
| ) | `[protected, virtual]`

xmlNodePtr XmlAgent::ParseYCPMap | ( | YCPMap | map,
|  | xmlNodePtr | parent,
|  | xmlDocPtr | doc
| ) | `[protected, virtual]`

YCPValue XmlAgent::Read | ( | const YCPPath & | path,
|  | const YCPValue & | arg = `YCPNull()`,
|  | const YCPValue & | opt = `YCPNull()`
| ) | `[virtual]`

  | Provides SCR Read (). Parameters:
  | path | Path that should be read.
  | arg | Additional parameter.
Implements SCRAgent.

YCPValue XmlAgent::SetType | ( | xmlNodePtr | node | ) | `[protected, virtual]`

YCPBoolean XmlAgent::Write | ( | const YCPPath & | path,
|  | const YCPValue & | value,
|  | const YCPValue & | arg = `YCPNull()`
| ) | `[virtual]`

| Provides SCR Write (). Implements SCRAgent.

YCPValue XmlAgent::Xmlrpc | ( | xmlNodePtr | tree | ) | `[protected, virtual]`

## Member Data Documentation

YCPList XmlAgent::Cdata`[protected]`

xmlNsPtr XmlAgent::configNamespace`[protected]`

YCPMap XmlAgent::ListEntries`[protected]`

The documentation for this class was generated from the following files:

- XmlAgent.h
- XmlAgent.cc